Unix (CMDB Model API)
Keywords: com.collation.platform.model.topology.sys.unix.Unix interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.sys.unix
Interface Unix

All Superinterfaces:
  CIMSystem, ConfigurationItem, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, OperatingSystem, java.io.Serializable, Version

All Known Subinterfaces:
  Aix, Darwin, FreeBSD, HpUx, ipso, Linux, Solaris, Tru64, VmwareESX

    public interface Unix

extends OperatingSystem

Persistable:
  true

Field Summary

Fields inherited from interface com.collation.platform.model.topology.sys.OperatingSystem
`IBM_COPYRIGHT`

Method Summary
`java.lang.String` | `getArchitecture()`
`int` | `getCalloutTableSize()`
`int` | `getClockTicksPerSecond()`
`int` | `getKernelBitSize()`
`java.lang.String` | `getLibcName()`
`java.lang.String` | `getLibcVersion()`
`int` | `getMaxAsyncIOPriorityDecrease()`
`int` | `getMaxGroupsPerUser()`
`int` | `getMaxLoginNameLen()`
`int` | `getMaxMsgPrioritiesSupported()`
`int` | `getMaxOpenFilesPerProcess()`
`int` | `getMaxOpenMsgQueueDescriptorsPerProcess()`
`int` | `getMaxPasswordLen()`
`int` | `getMaxPIDValue()`
`int` | `getMaxProcesses()`
`int` | `getMaxProcessesPerUID()`
`int` | `getMaxProcessesPerUser()`
`int` | `getMaxQueuedAsyncIORequests()`
`int` | `getMaxQueuedSignals()`
`int` | `getMaxStdioStreamsPerProcess()`
`int` | `getMaxTimersPerProcess()`
`int` | `getMaxUsers()`
`int` | `getNumPhysicalMemFreePages()`
`int` | `getNumPhysicalMemPages()`
`java.lang.String` | `getOSDistribution()`
`SoftwarePatch[]` | `getPatchesInstalled()`
`boolean` | `getProcessMemLocking()`
`boolean` | `getSupportAsyncIO()`
`boolean` | `getSupportFsync()`
`boolean` | `getSupportMemProtection()`
`boolean` | `getSupportMsgPassing()`
`boolean` | `getSupportPOSIXThreads()`
`boolean` | `getSupportProcessScheduling()`
`boolean` | `getSupportRangeMemLocking()`
`boolean` | `getSupportRealtimeSignals()`
`boolean` | `getSupportSharedMemObjects()`
`int` | `getSystemMemPageSize()`
`long` | `getVirtualAddressCacheSize()`
`boolean` | `hasArchitecture()`
`boolean` | `hasCalloutTableSize()`
`boolean` | `hasClockTicksPerSecond()`
`boolean` | `hasKernelBitSize()`
`boolean` | `hasLibcName()`
`boolean` | `hasLibcVersion()`
`boolean` | `hasMaxAsyncIOPriorityDecrease()`
`boolean` | `hasMaxGroupsPerUser()`
`boolean` | `hasMaxLoginNameLen()`
`boolean` | `hasMaxMsgPrioritiesSupported()`
`boolean` | `hasMaxOpenFilesPerProcess()`
`boolean` | `hasMaxOpenMsgQueueDescriptorsPerProcess()`
`boolean` | `hasMaxPasswordLen()`
`boolean` | `hasMaxPIDValue()`
`boolean` | `hasMaxProcesses()`
`boolean` | `hasMaxProcessesPerUID()`
`boolean` | `hasMaxProcessesPerUser()`
`boolean` | `hasMaxQueuedAsyncIORequests()`
`boolean` | `hasMaxQueuedSignals()`
`boolean` | `hasMaxStdioStreamsPerProcess()`
`boolean` | `hasMaxTimersPerProcess()`
`boolean` | `hasMaxUsers()`
`boolean` | `hasNumPhysicalMemFreePages()`
`boolean` | `hasNumPhysicalMemPages()`
`boolean` | `hasOSDistribution()`
`boolean` | `hasPatchesInstalled()`
`boolean` | `hasProcessMemLocking()`
`boolean` | `hasSupportAsyncIO()`
`boolean` | `hasSupportFsync()`
`boolean` | `hasSupportMemProtection()`
`boolean` | `hasSupportMsgPassing()`
`boolean` | `hasSupportPOSIXThreads()`
`boolean` | `hasSupportProcessScheduling()`
`boolean` | `hasSupportRangeMemLocking()`
`boolean` | `hasSupportRealtimeSignals()`
`boolean` | `hasSupportSharedMemObjects()`
`boolean` | `hasSystemMemPageSize()`
`boolean` | `hasVirtualAddressCacheSize()`
`void` | `setArchitecture(java.lang.String s)`
`void` | `setCalloutTableSize(int i)`
`void` | `setClockTicksPerSecond(int i)`
`void` | `setKernelBitSize(int i)`
`void` | `setLibcName(java.lang.String s)`
`void` | `setLibcVersion(java.lang.String s)`
`void` | `setMaxAsyncIOPriorityDecrease(int i)`
`void` | `setMaxGroupsPerUser(int i)`
`void` | `setMaxLoginNameLen(int i)`
`void` | `setMaxMsgPrioritiesSupported(int i)`
`void` | `setMaxOpenFilesPerProcess(int i)`
`void` | `setMaxOpenMsgQueueDescriptorsPerProcess(int i)`
`void` | `setMaxPasswordLen(int i)`
`void` | `setMaxPIDValue(int i)`
`void` | `setMaxProcesses(int i)`
`void` | `setMaxProcessesPerUID(int i)`
`void` | `setMaxProcessesPerUser(int i)`
`void` | `setMaxQueuedAsyncIORequests(int i)`
`void` | `setMaxQueuedSignals(int i)`
`void` | `setMaxStdioStreamsPerProcess(int i)`
`void` | `setMaxTimersPerProcess(int i)`
`void` | `setMaxUsers(int i)`
`void` | `setNumPhysicalMemFreePages(int i)`
`void` | `setNumPhysicalMemPages(int i)`
`void` | `setOSDistribution(java.lang.String s)`
`void` | `setPatchesInstalled(SoftwarePatch[] patches)`
`void` | `setProcessMemLocking(boolean b)`
`void` | `setSupportAsyncIO(boolean b)`
`void` | `setSupportFsync(boolean b)`
`void` | `setSupportMemProtection(boolean b)`
`void` | `setSupportMsgPassing(boolean b)`
`void` | `setSupportPOSIXThreads(boolean b)`
`void` | `setSupportProcessScheduling(boolean b)`
`void` | `setSupportRangeMemLocking(boolean b)`
`void` | `setSupportRealtimeSignals(boolean b)`
`void` | `setSupportSharedMemObjects(boolean b)`
`void` | `setSystemMemPageSize(int i)`
`void` | `setVirtualAddressCacheSize(long l)`

Methods inherited from interface com.collation.platform.model.topology.sys.OperatingSystem
`getBootFileSystem, getBootTime, getCharset, getConfigContents, getCurrentTime, getDNSResolveEntries, getFQDN, getInstalledSoftware, getKernelArchitecture, getKernelModulesRawData, getKernelVersion, getLocale, getName, getOSConfidence, getOsId, getOSMode, getOSName, getOSVersion, getPackagesInstalledRawData, getParent, getPatchesInstalledRawData, getSoftwareComponents, getSystemGuid, getVirtualMemorySize, getZReportFiles, hasBootFileSystem, hasBootTime, hasCharset, hasConfigContents, hasCurrentTime, hasDNSResolveEntries, hasFQDN, hasInstalledSoftware, hasKernelArchitecture, hasKernelModulesRawData, hasKernelVersion, hasLocale, hasName, hasOSConfidence, hasOsId, hasOSMode, hasOSName, hasOSVersion, hasPackagesInstalledRawData, hasParent, hasPatchesInstalledRawData, hasSoftwareComponents, hasSystemGuid, hasVirtualMemorySize, hasZReportFiles, setBootFileSystem, setBootTime, setCharset, setConfigContents, setCurrentTime, setDNSResolveEntries, setFQDN, setInstalledSoftware, setKernelArchitecture, setKernelModulesRawData, setKernelVersion, setLocale, setName, setOSConfidence, setOsId, setOSMode, setOSName, setOSVersion, setPackagesInstalledRawData, setParent, setPatchesInstalledRawData, setSoftwareComponents, setSystemGuid, setVirtualMemorySize, setZReportFiles`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Methods inherited from interface com.collation.platform.model.topology.core.Version
`getBuildLevel, getLevel, getMajorVersion, getModifier, getRelease, getVersionString, hasBuildLevel, hasLevel, hasMajorVersion, hasModifier, hasRelease, hasVersionString, setBuildLevel, setLevel, setMajorVersion, setModifier, setRelease, setVersionString`

Methods inherited from interface com.collation.platform.model.topology.process.itil.ConfigurationItem
`getAssetID, getAssetTag, getCICategory, getConfigLastUpdate, getLastAuditState, getLastAuditTime, getLastLifecycleStateTime, getLifecycleState, getPrimaryOwner, hasAssetID, hasAssetTag, hasCICategory, hasConfigLastUpdate, hasLastAuditState, hasLastAuditTime, hasLastLifecycleStateTime, hasLifecycleState, hasPrimaryOwner, setAssetID, setAssetTag, setCICategory, setConfigLastUpdate, setLastAuditState, setLastAuditTime, setLastLifecycleStateTime, setLifecycleState, setPrimaryOwner`

Method Detail

### getArchitecture

    java.lang.String getArchitecture()
                                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setArchitecture

    void setArchitecture(java.lang.String s)

### hasArchitecture

    boolean hasArchitecture()

### getKernelBitSize

    int getKernelBitSize()
                         throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setKernelBitSize

    void setKernelBitSize(int i)

### hasKernelBitSize

    boolean hasKernelBitSize()

### getOSDistribution

    java.lang.String getOSDistribution()
                                       throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setOSDistribution

    void setOSDistribution(java.lang.String s)

### hasOSDistribution

    boolean hasOSDistribution()

### getLibcName

    java.lang.String getLibcName()
                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setLibcName

    void setLibcName(java.lang.String s)

### hasLibcName

    boolean hasLibcName()

### getLibcVersion

    java.lang.String getLibcVersion()
                                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setLibcVersion

    void setLibcVersion(java.lang.String s)

### hasLibcVersion

    boolean hasLibcVersion()

### getVirtualAddressCacheSize

    long getVirtualAddressCacheSize()
                                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setVirtualAddressCacheSize

    void setVirtualAddressCacheSize(long l)

### hasVirtualAddressCacheSize

    boolean hasVirtualAddressCacheSize()

### getCalloutTableSize

    int getCalloutTableSize()
                            throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setCalloutTableSize

    void setCalloutTableSize(int i)

### hasCalloutTableSize

    boolean hasCalloutTableSize()

### getMaxProcesses

    int getMaxProcesses()
                        throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setMaxProcesses

    void setMaxProcesses(int i)

### hasMaxProcesses

    boolean hasMaxProcesses()

### getMaxProcessesPerUser

    int getMaxProcessesPerUser()
                               throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setMaxProcessesPerUser

    void setMaxProcessesPerUser(int i)

### hasMaxProcessesPerUser

    boolean hasMaxProcessesPerUser()

### getMaxUsers

    int getMaxUsers()
                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setMaxUsers

    void setMaxUsers(int i)

### hasMaxUsers

    boolean hasMaxUsers()

### getMaxProcessesPerUID

    int getMaxProcessesPerUID()
                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setMaxProcessesPerUID

    void setMaxProcessesPerUID(int i)

### hasMaxProcessesPerUID

    boolean hasMaxProcessesPerUID()

### getMaxOpenFilesPerProcess

    int getMaxOpenFilesPerProcess()
                                  throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setMaxOpenFilesPerProcess

    void setMaxOpenFilesPerProcess(int i)

### hasMaxOpenFilesPerProcess

    boolean hasMaxOpenFilesPerProcess()

### getMaxStdioStreamsPerProcess

    int getMaxStdioStreamsPerProcess()
                                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setMaxStdioStreamsPerProcess

    void setMaxStdioStreamsPerProcess(int i)

### hasMaxStdioStreamsPerProcess

    boolean hasMaxStdioStreamsPerProcess()

### getMaxPIDValue

    int getMaxPIDValue()
                       throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setMaxPIDValue

    void setMaxPIDValue(int i)

### hasMaxPIDValue

    boolean hasMaxPIDValue()

### getMaxPasswordLen

    int getMaxPasswordLen()
                          throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setMaxPasswordLen

    void setMaxPasswordLen(int i)

### hasMaxPasswordLen

    boolean hasMaxPasswordLen()

### getMaxLoginNameLen

    int getMaxLoginNameLen()
                           throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setMaxLoginNameLen

    void setMaxLoginNameLen(int i)

### hasMaxLoginNameLen

    boolean hasMaxLoginNameLen()

### getMaxGroupsPerUser

    int getMaxGroupsPerUser()
                            throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setMaxGroupsPerUser

    void setMaxGroupsPerUser(int i)

### hasMaxGroupsPerUser

    boolean hasMaxGroupsPerUser()

### getSystemMemPageSize

    int getSystemMemPageSize()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setSystemMemPageSize

    void setSystemMemPageSize(int i)

### hasSystemMemPageSize

    boolean hasSystemMemPageSize()

### getNumPhysicalMemPages

    int getNumPhysicalMemPages()
                               throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setNumPhysicalMemPages

    void setNumPhysicalMemPages(int i)

### hasNumPhysicalMemPages

    boolean hasNumPhysicalMemPages()

### getNumPhysicalMemFreePages

    int getNumPhysicalMemFreePages()
                                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setNumPhysicalMemFreePages

    void setNumPhysicalMemFreePages(int i)

### hasNumPhysicalMemFreePages

    boolean hasNumPhysicalMemFreePages()

### getSupportRealtimeSignals

    boolean getSupportRealtimeSignals()
                                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setSupportRealtimeSignals

    void setSupportRealtimeSignals(boolean b)

### hasSupportRealtimeSignals

    boolean hasSupportRealtimeSignals()

### getClockTicksPerSecond

    int getClockTicksPerSecond()
                               throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setClockTicksPerSecond

    void setClockTicksPerSecond(int i)

### hasClockTicksPerSecond

    boolean hasClockTicksPerSecond()

### getMaxQueuedSignals

    int getMaxQueuedSignals()
                            throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setMaxQueuedSignals

    void setMaxQueuedSignals(int i)

### hasMaxQueuedSignals

    boolean hasMaxQueuedSignals()

### getSupportAsyncIO

    boolean getSupportAsyncIO()
                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setSupportAsyncIO

    void setSupportAsyncIO(boolean b)

### hasSupportAsyncIO

    boolean hasSupportAsyncIO()

### getMaxQueuedAsyncIORequests

    int getMaxQueuedAsyncIORequests()
                                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setMaxQueuedAsyncIORequests

    void setMaxQueuedAsyncIORequests(int i)

### hasMaxQueuedAsyncIORequests

    boolean hasMaxQueuedAsyncIORequests()

### getMaxAsyncIOPriorityDecrease

    int getMaxAsyncIOPriorityDecrease()
                                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setMaxAsyncIOPriorityDecrease

    void setMaxAsyncIOPriorityDecrease(int i)

### hasMaxAsyncIOPriorityDecrease

    boolean hasMaxAsyncIOPriorityDecrease()

### getSupportPOSIXThreads

    boolean getSupportPOSIXThreads()
                                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setSupportPOSIXThreads

    void setSupportPOSIXThreads(boolean b)

### hasSupportPOSIXThreads

    boolean hasSupportPOSIXThreads()

### getMaxOpenMsgQueueDescriptorsPerProcess

    int getMaxOpenMsgQueueDescriptorsPerProcess()
                                                throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setMaxOpenMsgQueueDescriptorsPerProcess

    void setMaxOpenMsgQueueDescriptorsPerProcess(int i)

### hasMaxOpenMsgQueueDescriptorsPerProcess

    boolean hasMaxOpenMsgQueueDescriptorsPerProcess()

### getMaxMsgPrioritiesSupported

    int getMaxMsgPrioritiesSupported()
                                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setMaxMsgPrioritiesSupported

    void setMaxMsgPrioritiesSupported(int i)

### hasMaxMsgPrioritiesSupported

    boolean hasMaxMsgPrioritiesSupported()

### getMaxTimersPerProcess

    int getMaxTimersPerProcess()
                               throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setMaxTimersPerProcess

    void setMaxTimersPerProcess(int i)

### hasMaxTimersPerProcess

    boolean hasMaxTimersPerProcess()

### getSupportFsync

    boolean getSupportFsync()
                            throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setSupportFsync

    void setSupportFsync(boolean b)

### hasSupportFsync

    boolean hasSupportFsync()

### getProcessMemLocking

    boolean getProcessMemLocking()
                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setProcessMemLocking

    void setProcessMemLocking(boolean b)

### hasProcessMemLocking

    boolean hasProcessMemLocking()

### getSupportRangeMemLocking

    boolean getSupportRangeMemLocking()
                                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setSupportRangeMemLocking

    void setSupportRangeMemLocking(boolean b)

### hasSupportRangeMemLocking

    boolean hasSupportRangeMemLocking()

### getSupportMemProtection

    boolean getSupportMemProtection()
                                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setSupportMemProtection

    void setSupportMemProtection(boolean b)

### hasSupportMemProtection

    boolean hasSupportMemProtection()

### getSupportMsgPassing

    boolean getSupportMsgPassing()
                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setSupportMsgPassing

    void setSupportMsgPassing(boolean b)

### hasSupportMsgPassing

    boolean hasSupportMsgPassing()

### getSupportProcessScheduling

    boolean getSupportProcessScheduling()
                                        throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setSupportProcessScheduling

    void setSupportProcessScheduling(boolean b)

### hasSupportProcessScheduling

    boolean hasSupportProcessScheduling()

### getSupportSharedMemObjects

    boolean getSupportSharedMemObjects()
                                       throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setSupportSharedMemObjects

    void setSupportSharedMemObjects(boolean b)

### hasSupportSharedMemObjects

    boolean hasSupportSharedMemObjects()

### getPatchesInstalled

    SoftwarePatch[] getPatchesInstalled()
                                        throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.InstalledOn" reverse="true"

### setPatchesInstalled

    void setPatchesInstalled(SoftwarePatch[] patches)

### hasPatchesInstalled

    boolean hasPatchesInstalled()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD